/* Example sketch to control a stepper motor with L298N motor driver, Arduino UNO and AccelStepper.h library. Contiuous rotation. More info: https://www.makerguides.com */

// Include the AccelStepper library:
#include <AccelStepper.h>

// Define the AccelStepper interface type:
uint32_t period = 0.2 * 60000L;       // 5*x == 5 minutes
#define MotorInterfaceType 4
const int dc_motor = 7;



// Create a new instance of the AccelStepper class:
AccelStepper stepper = AccelStepper(MotorInterfaceType, 8, 9, 10, 11);
AccelStepper stepper_02 = AccelStepper(MotorInterfaceType, 2, 3, 5, 6);

void setup() {
  // Set the maximum speed in steps per second:
  stepper.setMaxSpeed(1000);
  stepper_02.setMaxSpeed(1000);
  pinMode(dc_motor, OUTPUT);
  
}

void loop() {

  for( uint32_t tStart = millis();  (millis()-tStart) < period;  ){
    //Set the speed of the motor in steps per second:
    stepper.setSpeed(200);
    stepper_02.setSpeed(-200);
    //Step the motor with constant speed as set by setSpeed():
    stepper.runSpeed();
    stepper_02.runSpeed();

  }
  delay (10000);
  digitalWrite(dc_Motor, HIGH)
  delay(2000);
  digitalWrite(dc_Motor, LOW)
}